﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@using System.Web.UI.WebControls
@model SSCMvc.Models.Tb_VisaFollowUp
@{
    ViewBag.Title = "Mocktest Followup";
    Layout = "~/Views/Shared/_Layout.cshtml";
    string etype = ViewBag.Etype;
    SSCWebDBEntities1 db = new SSCWebDBEntities1();
    int enqid = Convert.ToInt32(ViewBag.Enqid);
    MaEnquiry enq = db.MaEnquiries.Find(enqid);
}
@section scripts
{
    <script src="~/Scripts/jquery.validate.unobtrusive.min.js"></script>
    <script src="~/Scripts/jquery.validate.min.js"></script>
    <style>
        .error { color: red; }
        input[type=number]::-webkit-inner-spin-button,
        input[type=number]::-webkit-outer-spin-button { -webkit-appearance: none; -moz-appearance: none; appearance: none; margin: 0; }
    </style>

    @Content.Script("PreventDouble.js", Url)
    <style type="text/css">
        div.box div.overlay { display: none; }
    </style>

    <script type="text/javascript">
        $(document).ready(function () {

            //$("#CloseReason").Attr("disabled","disabled");

            $(function () {
                $(".box").hover(function () {
                    $(this).find(".overlay").fadeIn();
                }
                                , function () {
                                    $(this).find(".overlay").fadeOut();
                                }
                               );
            });

            $("#NextDate").datepicker(
            { minDate: 1 }
                );
            $('input[type="date"]').attr('placeholder', 'mm/dd/yyyy');
            $('input[type="date"]').prop('type', 'text');

            $('#Remarks').autocomplete({ source: '/MaEnqFollow/AutoCompleteCity' });
            $('#Remarks').css('height', '100');
            $('#Remarks').css('width', '300');

        });
    </script>
}

@using (Html.BeginForm("VisaCreate", "MaEnqFollow", FormMethod.Post, new { @id = "enqform", @enctype = "multipart/form-data" }))
{
    @Html.ValidationSummary(true)
    <div class="header">
        <div class="stats">
        </div>
        <h1 class="page-title">
            Create Enquiry Followup
        </h1>
    </div>
    <ul class="breadcrumb">
        @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
            string refadd = CommonUtil.HomeAddress(utype);
        }
        <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
        <li class="active">Dashboard</li>
    </ul>

    <div class="container-fluid">
        <div class="row-fluid">
            <div class="btn-toolbar">
                <input type="submit" value="Save" class="btn btn-primary" id="btnsubmit" />
                <input type="button" value="Cancel" class="btn btn-primary" id="btnCancel" />
                <div class="btn-group">
                </div>
            </div>
            <table style="width: 100%" align="center">
                <tr>
                    <td align="center">
                        All (<span class="color_style">*</span>) marked fields are compulsory
                    </td>
                </tr>
            </table>
            <div class="well">
                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        <table>
                            <tr>
                                <td>
                                    <table>
                                        <tr>
                                            <td class="editor-label">
                                                <b>Enquiry By:</b>
                                            </td>
                                            <td class="editor-field">
                                                @ViewBag.Username
                                            </td>
                                            <td class="editor-field"></td>
                                        </tr>
                                        <tr>
                                            <td class="editor-label">
                                                @Html.LabelFor(model => model.Remarks)
                                            </td>
                                            <td class="editor-field">
                                                @Html.TextAreaFor(model => model.Remarks)
                                            </td>
                                            <td class="editor-field">
                                                @Html.ValidationMessageFor(model => model.Remarks)
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="editor-label">
                                                @Html.LabelFor(model => model.NextFollowdate)
                                            </td>
                                            <td class="editor-field">
                                                @Html.TextBoxFor(model => model.NextFollowdate)
                                            </td>
                                            <td class="editor-field">
                                                @Html.ValidationMessageFor(model => model.NextFollowdate)
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                Enquiry Status
                                            </td>
                                            <td>
                                                @{
                                                    var listenq = new List<ListItem>();
                                                    listenq.Add(new ListItem { Text = "Open", Value = "Open" });

                                                    listenq.Add(new ListItem { Text = "Close", Value = "Close" });
                                                    listenq.Add(new ListItem { Text = "Registered", Value = "Registered" });

                                                }
                                                @Html.DropDownListFor(model => model.FollowStatus, new SelectList(listenq))
                                                @Html.ValidationMessageFor(model => model.FollowStatus)
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                                <td valign="top" width="30%">
                                    <table cellpadding="4" class="table table-bordered table-responsive">
                                        <tr>
                                            <td>
                                                <b>Name :</b>
                                            </td>
                                            <td>
                                                @enq.FirstName @enq.LastName
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <b>Enq No :</b>
                                            </td>
                                            <td>
                                                @ViewBag.rollno
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <b>Mobile Numbers</b>
                                            </td>
                                            <td>@enq.Mobile @enq.AlternateNo</td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <b>Country Intrested</b>
                                            </td>
                                            <td>@enq.CountryInterested</td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <b>City Pref</b>
                                            </td>
                                            <td>@enq.CityPreference</td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <b>Test Date</b>
                                            </td>
                                            <td>@enq.DateOfExam</td>
                                        </tr>
                                        <tr>
                                            <td align="left" valign="top">
                                                <table class="table table-responsive">
                                                    <thead>
                                                        <tr>
                                                            <th>L</th>
                                                            <th>R</th>
                                                            <th>W</th>
                                                            <th>S</th>
                                                            <th>Overall</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        <tr>
                                                            <td>@enq.IELTSExmLearn</td>
                                                            <td>@enq.IELTSExmRead</td>
                                                            <td>@enq.IELTSExmWrit</td>
                                                            <td>@enq.IELTSExmSpkn</td>
                                                            <td>@enq.IELTSExmOverall</td>
                                                        </tr>
                                                    </tbody>
                                                </table>
                                            </td>
                                        </tr>
                                    </table>
                                    <br />
                                    @{
                                        int eid = Convert.ToInt32(ViewBag.Enqid);

                                    }
                                    
                                </td>
                                <td valign="top">
                                    @Html.Action("_EnqEduDetail", "MaEnquiry", new { @id = eid })
                                </td>
                            </tr>
                        </table>
                        <div id="update-messageStatus">
                        </div>
                        @{

                            int visaid = Convert.ToInt32(ViewBag.visaid);
                            int id = (int)Model.ReferId;
                            string ftype = Model.Followtype;
                        }
                        @Html.HiddenFor(model => model.ReferId)
                        @Html.HiddenFor(model => model.Followtype)
                        @Html.Hidden("hdnvisaid", visaid)
                        @Html.Action("_VisaIndex", new { @id = id, @visaid = visaid, @reftype = Model.Followtype })
                    </div>
                </div>
            </div>
        </div>
    </div>
                            }

